Name:          dynalink
Version:       0.7
Release:       3%{?dist}
Summary:       Dynamic Linker Framework for Languages on the JVM
License:       ASL 2.0 or BSD
URL:           http://szegedi.github.com/dynalink/
Source0:       https://github.com/szegedi/%{name}/archive/%{version}.tar.gz
#BuildRequires: java-devel
BuildRequires: mvn(org.ow2.asm:asm)
BuildRequires: mvn(org.sonatype.oss:oss-parent)
# test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local
#BuildRequires: maven-surefire-provider-junit4

BuildArch:     noarch

%description
Dynalink is an invoke-dynamic-based high-level linking and
meta-object protocol library. It enables creation of
languages on the JVM that can easily inter-operate with
plain Java objects and each other.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

%pom_remove_plugin com.github.koraktor:mavanagaiata

sed -i 's/\r//' LIMITATIONS README.markdown

%build

%mvn_file : %{name}
# Disable test suite, build problems on arm builder
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-Apache-2.0.txt LICENSE-BSD.txt LIMITATIONS README.markdown

%files javadoc -f .mfiles-javadoc
%doc LICENSE-Apache-2.0.txt LICENSE-BSD.txt

%changelog
* Tue Nov 12 2013 gil cattaneo <puntogil@libero.it> 0.7-3
- disable test suite (problems on arm builder)

* Mon Nov 11 2013 gil cattaneo <puntogil@libero.it> 0.7-2
- fix license field
- remove unnecessary BR java-devel

* Sun Sep 08 2013 gil cattaneo <puntogil@libero.it> 0.7-1
- initial rpm